Snapshot
POST /snapshots/{id}/reconcile
API reference for POST /snapshots/{id}/reconcile. Request parameters, authentication and response schemas for the WarpBuild API.
Authorization
JWTKeyAuth Authorization<token>
In: header
Path Parameters
id*string
Snapshot ID
Request Body
application/json
Snapshot
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/snapshots/string/reconcile" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "string", "creator_runner_instance_id": "string", "ebs": { "snapshot_id": "string", "volume_id": "string" }, "error_message": "string", "external_id": "string", "id": "string", "organization_id": "string", "provider": "string", "stack_id": "string", "status": "string", "updated_at": "string"}PATCH /runners/{id}
Updates an existing runner set configuration. Only the fields specified in the request body will be updated; all other fields remain unchanged. You can update various aspects of a runner including its name, labels, storage configuration, and capacity type.
POST /snapshots
API reference for POST /snapshots. Request parameters, authentication and response schemas for the WarpBuild API.